/* Funky3D 1.1
 *
 * Copyright (C) 1991, 1992, 2002, 2003 Heinz van Saanen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* Under Windows-Platforms, Funky3D must be compiled as console-application       */
/* ============================================================================== */


// Some defines
#define FTYPE float			// Define Float-Type the parser ist operating with
#define true 1				// More C89-friendly than stdbool
#define false 0

// Globals
FTYPE x,y;					// Global variable usable in parsed String
int elevel;					// If elevel<>0 an Error occured
int npvloaded;				// Flag for loading NPV()-File successfully

// Functions
extern FTYPE parse(char s[]);				// Parser-Call returns evaluated String
extern int prepare_input(char *cpt);		// 2x+3 y+1 --> 2X+3Y+1
extern int check_brackets(char *cpt);		// Check if Brackets are matching
extern void opencsv(char *s);				// Opens File for NPV-Values
extern void show_error(int number);			// Error-Handling
